# Python3 packaging is turned off until pagure itself is ported to python3.
%global with_python3 0

# Current EL releases & older Fedora use "python-*"
%if 0%{?el6} || 0%{?el7} || 0%{?fedora} < 25
%define py_prefix python
%if 0%{?el6} || 0%{?el7}
BuildRequires: python-devel
%else
BuildRequires: python2-devel
%endif
%else
# Newer Fedora releases use "pythonX-*"
%define py_prefix python2
BuildRequires: python2-devel
%endif


%{!?_licensedir: %global license %%doc}

%global modname pagure-centos
%global sum     Pagure gitolite plugin for CentOS' dist-git setup.

Name:               pagure-centos
Version:            0.0.1
Release:            3%{?dist}
Summary:            %{sum}

License:            GPLv2+
URL:                http://pypi.python.org/pypi/pagure-centos
Source0:            https://pypi.io/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:          noarch


%description
Since 3.0 pagure offers a way to customize the creation and compilation the
of the gitolite configuration file.

This project hosts the logic to generate gitolite's configuration file for
CentOS' dist-git which has a different access model than regular projects on
pagure (for example, forced pushed is forbidden).

%package -n python2-%{modname}
Summary:            Pagure gitolite plugin for CentOS' dist-git setup.
%{?python_provide:%python_provide python2-%{modname}}

BuildRequires:      %{py_prefix}-devel
BuildRequires:      %{py_prefix}-setuptools

Requires:           pagure >= 3.90

%description -n python2-%{modname}
Since 3.0 pagure offers a way to customize the creation and compilation the
of the gitolite configuration file.

This project hosts the logic to generate gitolite's configuration file for
CentOS' dist-git which has a different access model than regular projects on
pagure (for example, forced pushed is forbidden).

%if 0%{?with_python3}
%package -n python3-%{modname}
Summary:            Pagure gitolite plugin for CentOS' dist-git setup.
%{?python_provide:%python_provide python3-%{modname}}

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools

Requires:           python3-pagure>=3.90

%description -n python3-%{modname}
Since 3.0 pagure offers a way to customize the creation and compilation the
of the gitolite configuration file.

This project hosts the logic to generate gitolite's configuration file for
CentOS' dist-git which has a different access model than regular projects on
pagure (for example, forced pushed is forbidden).
%endif

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif


%files -n python2-%{modname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/centos_auth.py*
%{python2_sitelib}/pagure_centos-%{version}*

%if 0%{?with_python3}
%files -n python3-%{modname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/centos_auth.py*
%{python3_sitelib}/pagure_centos-%{version}*
%endif


%changelog
* Thu Jun 21 2018 Fabian Arrotin <arrfab@centos.org> - 0.0.1-3
- rebased for new RCM_GROUP feature

* Wed Jun 13 2018 Fabian Arrotin <arrfab@centos.org> - 0.0.1-2
- rebased to some small changes for SIGs and rpms namespace
* Mon Jun 11 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.0.1-1
- Initial packaging for Fedora and CentOS
